## wxStringClientData

Predefined client data class for holding a string.

Derived from

wxClientData

Include files

<clntdata.h>

Data structures

Members

wxStringClientData::wxStringClientData
wxStringClientData::GetData
wxStringClientData::SetData

### wxStringClientData::wxStringClientData

wxStringClientData()

Empty constructor.

wxStringClientData(const wxString& data)

Create client data with string.

### wxStringClientData::GetData

const wxString& GetData() const

Get string client data.

### wxStringClientData::SetData

void SetData(const wxString& data)

Set string client data.